package schelling;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*; 


public class Schelling { //Opens DiveLog class
 
	private JFrame frame; 
	private OptionPanel opPanel; 
	private int[] ranParams;
   
	public Schelling() {
      
		frame = new JFrame("Schelling Model (Adjacent Moving)");
		frame.addWindowListener(new WindowAdapter() { 
			public void windowClosing(WindowEvent e) {
					System.exit(0);
				} 
			});
		
		frame.setSize(765, 500);
       	frame.setBackground(Color.white);
       	frame.setVisible(true);
       	
       	opPanel = new OptionPanel(frame);
       	frame.getContentPane().add(opPanel);
       	opPanel.setBounds(0,0,765,500);
       	while(!opPanel.Continue()){}
       	ranParams = opPanel.getRandomParams();
       	frame.getContentPane().remove((opPanel));
       	
		MainPanel panel = new MainPanel(frame,opPanel.isRandom(), this); 
		frame.getContentPane().add(panel);
		panel.setBounds(0,0,765,500);
		panel.validate();
	}
  
    public static void main(String[] args)
    {
    	Schelling app = new Schelling();
    }    
    
    public int[] getRanParams() {
    	return ranParams;
    }
}  
                              
                               
                
